List Credentials
GET/credentials/
Call auditlog tasks if applicable to query.
Request
Query Parameters
name- Name-name- Name (descending)creator__name- Creator name-creator__name- Creator name (descending)updated_at- Updated at-updated_at- Updated at (descending)created_at- Created at-created_at- Created at (descending)
Number of results to return per page.
Possible values: [-created_at, -creator__name, -name, -updated_at, created_at, creator__name, name, updated_at]
Ordering
A page number within the paginated result set.
A search term.
A unique Base58 value identifying this object.
Responses
- 200
- 400
- 401
- 404
- 500
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Total number of results.
Total number of pages.
Number of the current page.
The first page is 1.
Defaults to 1 if no specific page is requested.
Number of results returned per page.
results
object[]
A unique Base58 value identifying this object.
Possible values: <= 255 characters
A unique Base58 value identifying this object.
Possible values: <= 1024 characters
Value of credential. Returns null if sensitive.
creator
object
required
A unique Base58 value identifying this object.
Possible values: <= 254 characters
Email of the user.
Possible values: <= 60 characters
Name of the user.
{
"count": 6,
"page_total": 1,
"page": 1,
"length": 10,
"results": [
{
"id": "string",
"uri": "string",
"name": "string",
"team": "string",
"description": "string",
"is_sensitive": true,
"created_at": "2024-07-29T15:51:28.071Z",
"updated_at": "2024-07-29T15:51:28.071Z",
"creator": {
"id": "string",
"email": "[email protected]",
"name": "string"
},
"usage_count": 0
}
]
}
- application/json
- Schema
- Example (from schema)
Schema
{
"<field name>": [
"Errors related to field <field name>."
],
"non_field_errors": [
"Errors not related to any field specific field."
]
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Incorrect authentication credentials."
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Not found."
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Unexpected error while handling your request."
}